[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

courier-imap install problems



when trying to install courier-imap either from ports or packages there
are installation errors with "sh: ./+INSTALL: Permission denied".
But if I remove the pq.2 dependency (postgres at all) it fails with
installing the package from /usr/ports/packages.../courier-imap.1.7.2.
Anybody knows what's going on?
I want a standalone IMAP server with basic auth w/o all the deps
(postgres...)
thanks

# pkg_add courier-imap-1.7.2.tgz
sh: ./+INSTALL: Permission denied
pkg_add(courier-imap-1.7.2): install script returned error status

# make
===>  courier-imap-1.7.2 depends on: gmake-3.80 - found
===>  courier-imap-1.7.2 depends on: bzip2-* - found
===>  courier-imap-1.7.2 depends on: gdbm.2 - found
===>  courier-imap-1.7.2 depends on: lib/mysql/mysqlclient.10 - found
===>  courier-imap-1.7.2 depends on: ldap.2,lber.2 - found
===>  courier-imap-1.7.2 depends on: pq.2 - pq.2 missing...
===>  Verifying install for pq.2 in databases/postgresql
===>  Installing postgresql-7.3.2p1 from
/usr/ports/packages/i386/all/postgresql-7.3.2p1.tgz
sh: ./+INSTALL: Permission denied
pkg_add(postgresql-7.3.2p1): install script returned error status
*** Error code 1

Stop in /usr/ports/databases/postgresql (line 1686 of
/usr/ports/infrastructure/mk/bsd.port.mk).
*** Error code 1

Stop in /usr/ports/mail/courier-imap (line 1132 of
/usr/ports/infrastructure/mk/bsd.port.mk).

Regards
--
 . ___
 |  |
 |  |



Visit your host, monkey.org